
Ruby - Bug #13905

files in gemspec

09/15/2017 03:56 PM - znz (Kazuhiro NISHIYAMA)

Status: Rejected   

Priority: Normal   

Assignee: hsbt (Hiroshi SHIBATA)   

Target version:    

ruby -v:  Backport: 2.2: UNKNOWN, 2.3: UNKNOWN, 2.4:

UNKNOWN

Description

ext/zlib/zlib.gemspec の files をみると ext/zlib/extconf.rb のような top_srcdir からの相対パスらしき指定と gemspec からの相対パスらしき(upstreamでのパス?)

zlib.gemspec のようなものが混在しているように見えます。

top_srcdir からの相対パスが正しいのなら ext/zlib がついていないファイルを指しているのはおかしいし、 gemspec ファイルからの相対パスなら ext/zlib

がついているのがおかしいと思いました。

他の gemspec ファイルは確認していないのですが、lib/scanf.gemspec をみると lib/scanf.rb だけなので、top_srcdir からの相対パスが正しくて、そもそも sync

されていないファイルが入っていたり、gemspec ファイルが入っていること自体がおかしい気がします。

History

#1 - 09/23/2017 08:33 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Assigned

- Assignee set to hsbt (Hiroshi SHIBATA)

default gems の Gem::Specification#files は記載されていても、実際には処理されないので、便宜上 upstream または gem としてリリースされているファイルを記載するようにしています。

こうした方が良い、という提案はありますか?

#2 - 09/26/2017 09:00 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Assigned to Feedback

#3 - 03/11/2019 07:47 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Feedback to Rejected

Default gems の Gem::Specification#files は https://github.com/ruby/ruby/blob/trunk/tool/rbinstall.rb#L826 の箇所で make install

時に改めてファイルのリストを入れるようにしているので、そもそもの issue としては意図した通りということで reject しておきます。Default gems の files

についてのドキュメンテーションとして残しておくのはやった方が良さそう、と思います。
